Get all workspaces

View as Markdown
Gets information workspaces added to your team's [Private API Network](https://learning.postman.com/docs/collaborating-in-postman/adding-private-network/).

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

typeenumOptional

The workspace value.

Allowed values:
namestringOptional

Return only workspaces whose name includes the given value. Matching is not case-sensitive.

summarystringOptional

Return only workspaces whose summary includes the given value. Matching is not case-sensitive.

descriptionstringOptional

Return only workspaces whose description includes the given value. Matching is not case-sensitive.

sincedatetimeOptional
Return only results created since the given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be later than the `until` value.
untildatetimeOptional
Return only results created until this given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be earlier than the `since` value.
addedByintegerOptional
Return only workspaces published by the given user ID.
sortenumOptional

Sort the results by the given value. If you use this query parameter, you must also use the direction parameter.

Allowed values:
directionenumOptional

Sort in ascending (asc) or descending (desc) order. Matching is not case-sensitive. If you use this query parameter, you must also use the sort parameter.

Allowed values:
createdByintegerOptional
Return only results created by the given user ID.
offsetintegerOptionalDefaults to 0

The zero-based offset of the first item to return.

limitintegerOptionalDefaults to 1000

The maximum number of results to return. If the value exceeds the maximum value of 1000, then the system uses the 1000 value.

parentFolderIdintegerOptionalDefaults to 0Deprecated
This parameter is deprecated.

Response

Successful Response
elementslist of objects
A list of Private API Network elements.
metaobject

The response’s non-standard meta information.

folderslist of objectsDeprecated
This property is deprecated and only returns an empty array.

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error